Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network46.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
46.3.0.0
Broadcast address
46.3.31.255
First usable
46.3.0.1
Last usable
46.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 2E030000 · Integer 771948544 to 771956735
Reverse DNS zones
0.3.46.in-addr.arpa
1.3.46.in-addr.arpa
2.3.46.in-addr.arpa
3.3.46.in-addr.arpa
4.3.46.in-addr.arpa
5.3.46.in-addr.arpa
6.3.46.in-addr.arpa
7.3.46.in-addr.arpa
8.3.46.in-addr.arpa
9.3.46.in-addr.arpa
10.3.46.in-addr.arpa
11.3.46.in-addr.arpa
12.3.46.in-addr.arpa
13.3.46.in-addr.arpa
14.3.46.in-addr.arpa
15.3.46.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101110.00000011.00000000.0000000046.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00101110.00000011.00000000.0000000046.3.0.0
Broadcast00101110.00000011.00011111.1111111146.3.31.255
Split into smaller subnets/28

46.3.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
146.3.0.0/2846.3.0.1 to 46.3.0.1446.3.0.1514
246.3.0.16/2846.3.0.17 to 46.3.0.3046.3.0.3114
346.3.0.32/2846.3.0.33 to 46.3.0.4646.3.0.4714
446.3.0.48/2846.3.0.49 to 46.3.0.6246.3.0.6314
546.3.0.64/2846.3.0.65 to 46.3.0.7846.3.0.7914
646.3.0.80/2846.3.0.81 to 46.3.0.9446.3.0.9514
746.3.0.96/2846.3.0.97 to 46.3.0.11046.3.0.11114
846.3.0.112/2846.3.0.113 to 46.3.0.12646.3.0.12714
946.3.0.128/2846.3.0.129 to 46.3.0.14246.3.0.14314
1046.3.0.144/2846.3.0.145 to 46.3.0.15846.3.0.15914
1146.3.0.160/2846.3.0.161 to 46.3.0.17446.3.0.17514
1246.3.0.176/2846.3.0.177 to 46.3.0.19046.3.0.19114
1346.3.0.192/2846.3.0.193 to 46.3.0.20646.3.0.20714
1446.3.0.208/2846.3.0.209 to 46.3.0.22246.3.0.22314
1546.3.0.224/2846.3.0.225 to 46.3.0.23846.3.0.23914
1646.3.0.240/2846.3.0.241 to 46.3.0.25446.3.0.25514
1746.3.1.0/2846.3.1.1 to 46.3.1.1446.3.1.1514
1846.3.1.16/2846.3.1.17 to 46.3.1.3046.3.1.3114
1946.3.1.32/2846.3.1.33 to 46.3.1.4646.3.1.4714
2046.3.1.48/2846.3.1.49 to 46.3.1.6246.3.1.6314
2146.3.1.64/2846.3.1.65 to 46.3.1.7846.3.1.7914
2246.3.1.80/2846.3.1.81 to 46.3.1.9446.3.1.9514
2346.3.1.96/2846.3.1.97 to 46.3.1.11046.3.1.11114
2446.3.1.112/2846.3.1.113 to 46.3.1.12646.3.1.12714
2546.3.1.128/2846.3.1.129 to 46.3.1.14246.3.1.14314
2646.3.1.144/2846.3.1.145 to 46.3.1.15846.3.1.15914
2746.3.1.160/2846.3.1.161 to 46.3.1.17446.3.1.17514
2846.3.1.176/2846.3.1.177 to 46.3.1.19046.3.1.19114
2946.3.1.192/2846.3.1.193 to 46.3.1.20646.3.1.20714
3046.3.1.208/2846.3.1.209 to 46.3.1.22246.3.1.22314
3146.3.1.224/2846.3.1.225 to 46.3.1.23846.3.1.23914
3246.3.1.240/2846.3.1.241 to 46.3.1.25446.3.1.25514
3346.3.2.0/2846.3.2.1 to 46.3.2.1446.3.2.1514
3446.3.2.16/2846.3.2.17 to 46.3.2.3046.3.2.3114
3546.3.2.32/2846.3.2.33 to 46.3.2.4646.3.2.4714
3646.3.2.48/2846.3.2.49 to 46.3.2.6246.3.2.6314
3746.3.2.64/2846.3.2.65 to 46.3.2.7846.3.2.7914
3846.3.2.80/2846.3.2.81 to 46.3.2.9446.3.2.9514
3946.3.2.96/2846.3.2.97 to 46.3.2.11046.3.2.11114
4046.3.2.112/2846.3.2.113 to 46.3.2.12646.3.2.12714
4146.3.2.128/2846.3.2.129 to 46.3.2.14246.3.2.14314
4246.3.2.144/2846.3.2.145 to 46.3.2.15846.3.2.15914
4346.3.2.160/2846.3.2.161 to 46.3.2.17446.3.2.17514
4446.3.2.176/2846.3.2.177 to 46.3.2.19046.3.2.19114
4546.3.2.192/2846.3.2.193 to 46.3.2.20646.3.2.20714
4646.3.2.208/2846.3.2.209 to 46.3.2.22246.3.2.22314
4746.3.2.224/2846.3.2.225 to 46.3.2.23846.3.2.23914
4846.3.2.240/2846.3.2.241 to 46.3.2.25446.3.2.25514
4946.3.3.0/2846.3.3.1 to 46.3.3.1446.3.3.1514
5046.3.3.16/2846.3.3.17 to 46.3.3.3046.3.3.3114
5146.3.3.32/2846.3.3.33 to 46.3.3.4646.3.3.4714
5246.3.3.48/2846.3.3.49 to 46.3.3.6246.3.3.6314
5346.3.3.64/2846.3.3.65 to 46.3.3.7846.3.3.7914
5446.3.3.80/2846.3.3.81 to 46.3.3.9446.3.3.9514
5546.3.3.96/2846.3.3.97 to 46.3.3.11046.3.3.11114
5646.3.3.112/2846.3.3.113 to 46.3.3.12646.3.3.12714
5746.3.3.128/2846.3.3.129 to 46.3.3.14246.3.3.14314
5846.3.3.144/2846.3.3.145 to 46.3.3.15846.3.3.15914
5946.3.3.160/2846.3.3.161 to 46.3.3.17446.3.3.17514
6046.3.3.176/2846.3.3.177 to 46.3.3.19046.3.3.19114
6146.3.3.192/2846.3.3.193 to 46.3.3.20646.3.3.20714
6246.3.3.208/2846.3.3.209 to 46.3.3.22246.3.3.22314
6346.3.3.224/2846.3.3.225 to 46.3.3.23846.3.3.23914
6446.3.3.240/2846.3.3.241 to 46.3.3.25446.3.3.25514
6546.3.4.0/2846.3.4.1 to 46.3.4.1446.3.4.1514
6646.3.4.16/2846.3.4.17 to 46.3.4.3046.3.4.3114
6746.3.4.32/2846.3.4.33 to 46.3.4.4646.3.4.4714
6846.3.4.48/2846.3.4.49 to 46.3.4.6246.3.4.6314
6946.3.4.64/2846.3.4.65 to 46.3.4.7846.3.4.7914
7046.3.4.80/2846.3.4.81 to 46.3.4.9446.3.4.9514
7146.3.4.96/2846.3.4.97 to 46.3.4.11046.3.4.11114
7246.3.4.112/2846.3.4.113 to 46.3.4.12646.3.4.12714
7346.3.4.128/2846.3.4.129 to 46.3.4.14246.3.4.14314
7446.3.4.144/2846.3.4.145 to 46.3.4.15846.3.4.15914
7546.3.4.160/2846.3.4.161 to 46.3.4.17446.3.4.17514
7646.3.4.176/2846.3.4.177 to 46.3.4.19046.3.4.19114
7746.3.4.192/2846.3.4.193 to 46.3.4.20646.3.4.20714
7846.3.4.208/2846.3.4.209 to 46.3.4.22246.3.4.22314
7946.3.4.224/2846.3.4.225 to 46.3.4.23846.3.4.23914
8046.3.4.240/2846.3.4.241 to 46.3.4.25446.3.4.25514
8146.3.5.0/2846.3.5.1 to 46.3.5.1446.3.5.1514
8246.3.5.16/2846.3.5.17 to 46.3.5.3046.3.5.3114
8346.3.5.32/2846.3.5.33 to 46.3.5.4646.3.5.4714
8446.3.5.48/2846.3.5.49 to 46.3.5.6246.3.5.6314
8546.3.5.64/2846.3.5.65 to 46.3.5.7846.3.5.7914
8646.3.5.80/2846.3.5.81 to 46.3.5.9446.3.5.9514
8746.3.5.96/2846.3.5.97 to 46.3.5.11046.3.5.11114
8846.3.5.112/2846.3.5.113 to 46.3.5.12646.3.5.12714
8946.3.5.128/2846.3.5.129 to 46.3.5.14246.3.5.14314
9046.3.5.144/2846.3.5.145 to 46.3.5.15846.3.5.15914
9146.3.5.160/2846.3.5.161 to 46.3.5.17446.3.5.17514
9246.3.5.176/2846.3.5.177 to 46.3.5.19046.3.5.19114
9346.3.5.192/2846.3.5.193 to 46.3.5.20646.3.5.20714
9446.3.5.208/2846.3.5.209 to 46.3.5.22246.3.5.22314
9546.3.5.224/2846.3.5.225 to 46.3.5.23846.3.5.23914
9646.3.5.240/2846.3.5.241 to 46.3.5.25446.3.5.25514
9746.3.6.0/2846.3.6.1 to 46.3.6.1446.3.6.1514
9846.3.6.16/2846.3.6.17 to 46.3.6.3046.3.6.3114
9946.3.6.32/2846.3.6.33 to 46.3.6.4646.3.6.4714
10046.3.6.48/2846.3.6.49 to 46.3.6.6246.3.6.6314
10146.3.6.64/2846.3.6.65 to 46.3.6.7846.3.6.7914
10246.3.6.80/2846.3.6.81 to 46.3.6.9446.3.6.9514
10346.3.6.96/2846.3.6.97 to 46.3.6.11046.3.6.11114
10446.3.6.112/2846.3.6.113 to 46.3.6.12646.3.6.12714
10546.3.6.128/2846.3.6.129 to 46.3.6.14246.3.6.14314
10646.3.6.144/2846.3.6.145 to 46.3.6.15846.3.6.15914
10746.3.6.160/2846.3.6.161 to 46.3.6.17446.3.6.17514
10846.3.6.176/2846.3.6.177 to 46.3.6.19046.3.6.19114
10946.3.6.192/2846.3.6.193 to 46.3.6.20646.3.6.20714
11046.3.6.208/2846.3.6.209 to 46.3.6.22246.3.6.22314
11146.3.6.224/2846.3.6.225 to 46.3.6.23846.3.6.23914
11246.3.6.240/2846.3.6.241 to 46.3.6.25446.3.6.25514
11346.3.7.0/2846.3.7.1 to 46.3.7.1446.3.7.1514
11446.3.7.16/2846.3.7.17 to 46.3.7.3046.3.7.3114
11546.3.7.32/2846.3.7.33 to 46.3.7.4646.3.7.4714
11646.3.7.48/2846.3.7.49 to 46.3.7.6246.3.7.6314
11746.3.7.64/2846.3.7.65 to 46.3.7.7846.3.7.7914
11846.3.7.80/2846.3.7.81 to 46.3.7.9446.3.7.9514
11946.3.7.96/2846.3.7.97 to 46.3.7.11046.3.7.11114
12046.3.7.112/2846.3.7.113 to 46.3.7.12646.3.7.12714
12146.3.7.128/2846.3.7.129 to 46.3.7.14246.3.7.14314
12246.3.7.144/2846.3.7.145 to 46.3.7.15846.3.7.15914
12346.3.7.160/2846.3.7.161 to 46.3.7.17446.3.7.17514
12446.3.7.176/2846.3.7.177 to 46.3.7.19046.3.7.19114
12546.3.7.192/2846.3.7.193 to 46.3.7.20646.3.7.20714
12646.3.7.208/2846.3.7.209 to 46.3.7.22246.3.7.22314
12746.3.7.224/2846.3.7.225 to 46.3.7.23846.3.7.23914
12846.3.7.240/2846.3.7.241 to 46.3.7.25446.3.7.25514
12946.3.8.0/2846.3.8.1 to 46.3.8.1446.3.8.1514
13046.3.8.16/2846.3.8.17 to 46.3.8.3046.3.8.3114
13146.3.8.32/2846.3.8.33 to 46.3.8.4646.3.8.4714
13246.3.8.48/2846.3.8.49 to 46.3.8.6246.3.8.6314
13346.3.8.64/2846.3.8.65 to 46.3.8.7846.3.8.7914
13446.3.8.80/2846.3.8.81 to 46.3.8.9446.3.8.9514
13546.3.8.96/2846.3.8.97 to 46.3.8.11046.3.8.11114
13646.3.8.112/2846.3.8.113 to 46.3.8.12646.3.8.12714
13746.3.8.128/2846.3.8.129 to 46.3.8.14246.3.8.14314
13846.3.8.144/2846.3.8.145 to 46.3.8.15846.3.8.15914
13946.3.8.160/2846.3.8.161 to 46.3.8.17446.3.8.17514
14046.3.8.176/2846.3.8.177 to 46.3.8.19046.3.8.19114
14146.3.8.192/2846.3.8.193 to 46.3.8.20646.3.8.20714
14246.3.8.208/2846.3.8.209 to 46.3.8.22246.3.8.22314
14346.3.8.224/2846.3.8.225 to 46.3.8.23846.3.8.23914
14446.3.8.240/2846.3.8.241 to 46.3.8.25446.3.8.25514
14546.3.9.0/2846.3.9.1 to 46.3.9.1446.3.9.1514
14646.3.9.16/2846.3.9.17 to 46.3.9.3046.3.9.3114
14746.3.9.32/2846.3.9.33 to 46.3.9.4646.3.9.4714
14846.3.9.48/2846.3.9.49 to 46.3.9.6246.3.9.6314
14946.3.9.64/2846.3.9.65 to 46.3.9.7846.3.9.7914
15046.3.9.80/2846.3.9.81 to 46.3.9.9446.3.9.9514
15146.3.9.96/2846.3.9.97 to 46.3.9.11046.3.9.11114
15246.3.9.112/2846.3.9.113 to 46.3.9.12646.3.9.12714
15346.3.9.128/2846.3.9.129 to 46.3.9.14246.3.9.14314
15446.3.9.144/2846.3.9.145 to 46.3.9.15846.3.9.15914
15546.3.9.160/2846.3.9.161 to 46.3.9.17446.3.9.17514
15646.3.9.176/2846.3.9.177 to 46.3.9.19046.3.9.19114
15746.3.9.192/2846.3.9.193 to 46.3.9.20646.3.9.20714
15846.3.9.208/2846.3.9.209 to 46.3.9.22246.3.9.22314
15946.3.9.224/2846.3.9.225 to 46.3.9.23846.3.9.23914
16046.3.9.240/2846.3.9.241 to 46.3.9.25446.3.9.25514
16146.3.10.0/2846.3.10.1 to 46.3.10.1446.3.10.1514
16246.3.10.16/2846.3.10.17 to 46.3.10.3046.3.10.3114
16346.3.10.32/2846.3.10.33 to 46.3.10.4646.3.10.4714
16446.3.10.48/2846.3.10.49 to 46.3.10.6246.3.10.6314
16546.3.10.64/2846.3.10.65 to 46.3.10.7846.3.10.7914
16646.3.10.80/2846.3.10.81 to 46.3.10.9446.3.10.9514
16746.3.10.96/2846.3.10.97 to 46.3.10.11046.3.10.11114
16846.3.10.112/2846.3.10.113 to 46.3.10.12646.3.10.12714
16946.3.10.128/2846.3.10.129 to 46.3.10.14246.3.10.14314
17046.3.10.144/2846.3.10.145 to 46.3.10.15846.3.10.15914
17146.3.10.160/2846.3.10.161 to 46.3.10.17446.3.10.17514
17246.3.10.176/2846.3.10.177 to 46.3.10.19046.3.10.19114
17346.3.10.192/2846.3.10.193 to 46.3.10.20646.3.10.20714
17446.3.10.208/2846.3.10.209 to 46.3.10.22246.3.10.22314
17546.3.10.224/2846.3.10.225 to 46.3.10.23846.3.10.23914
17646.3.10.240/2846.3.10.241 to 46.3.10.25446.3.10.25514
17746.3.11.0/2846.3.11.1 to 46.3.11.1446.3.11.1514
17846.3.11.16/2846.3.11.17 to 46.3.11.3046.3.11.3114
17946.3.11.32/2846.3.11.33 to 46.3.11.4646.3.11.4714
18046.3.11.48/2846.3.11.49 to 46.3.11.6246.3.11.6314
18146.3.11.64/2846.3.11.65 to 46.3.11.7846.3.11.7914
18246.3.11.80/2846.3.11.81 to 46.3.11.9446.3.11.9514
18346.3.11.96/2846.3.11.97 to 46.3.11.11046.3.11.11114
18446.3.11.112/2846.3.11.113 to 46.3.11.12646.3.11.12714
18546.3.11.128/2846.3.11.129 to 46.3.11.14246.3.11.14314
18646.3.11.144/2846.3.11.145 to 46.3.11.15846.3.11.15914
18746.3.11.160/2846.3.11.161 to 46.3.11.17446.3.11.17514
18846.3.11.176/2846.3.11.177 to 46.3.11.19046.3.11.19114
18946.3.11.192/2846.3.11.193 to 46.3.11.20646.3.11.20714
19046.3.11.208/2846.3.11.209 to 46.3.11.22246.3.11.22314
19146.3.11.224/2846.3.11.225 to 46.3.11.23846.3.11.23914
19246.3.11.240/2846.3.11.241 to 46.3.11.25446.3.11.25514
19346.3.12.0/2846.3.12.1 to 46.3.12.1446.3.12.1514
19446.3.12.16/2846.3.12.17 to 46.3.12.3046.3.12.3114
19546.3.12.32/2846.3.12.33 to 46.3.12.4646.3.12.4714
19646.3.12.48/2846.3.12.49 to 46.3.12.6246.3.12.6314
19746.3.12.64/2846.3.12.65 to 46.3.12.7846.3.12.7914
19846.3.12.80/2846.3.12.81 to 46.3.12.9446.3.12.9514
19946.3.12.96/2846.3.12.97 to 46.3.12.11046.3.12.11114
20046.3.12.112/2846.3.12.113 to 46.3.12.12646.3.12.12714
20146.3.12.128/2846.3.12.129 to 46.3.12.14246.3.12.14314
20246.3.12.144/2846.3.12.145 to 46.3.12.15846.3.12.15914
20346.3.12.160/2846.3.12.161 to 46.3.12.17446.3.12.17514
20446.3.12.176/2846.3.12.177 to 46.3.12.19046.3.12.19114
20546.3.12.192/2846.3.12.193 to 46.3.12.20646.3.12.20714
20646.3.12.208/2846.3.12.209 to 46.3.12.22246.3.12.22314
20746.3.12.224/2846.3.12.225 to 46.3.12.23846.3.12.23914
20846.3.12.240/2846.3.12.241 to 46.3.12.25446.3.12.25514
20946.3.13.0/2846.3.13.1 to 46.3.13.1446.3.13.1514
21046.3.13.16/2846.3.13.17 to 46.3.13.3046.3.13.3114
21146.3.13.32/2846.3.13.33 to 46.3.13.4646.3.13.4714
21246.3.13.48/2846.3.13.49 to 46.3.13.6246.3.13.6314
21346.3.13.64/2846.3.13.65 to 46.3.13.7846.3.13.7914
21446.3.13.80/2846.3.13.81 to 46.3.13.9446.3.13.9514
21546.3.13.96/2846.3.13.97 to 46.3.13.11046.3.13.11114
21646.3.13.112/2846.3.13.113 to 46.3.13.12646.3.13.12714
21746.3.13.128/2846.3.13.129 to 46.3.13.14246.3.13.14314
21846.3.13.144/2846.3.13.145 to 46.3.13.15846.3.13.15914
21946.3.13.160/2846.3.13.161 to 46.3.13.17446.3.13.17514
22046.3.13.176/2846.3.13.177 to 46.3.13.19046.3.13.19114
22146.3.13.192/2846.3.13.193 to 46.3.13.20646.3.13.20714
22246.3.13.208/2846.3.13.209 to 46.3.13.22246.3.13.22314
22346.3.13.224/2846.3.13.225 to 46.3.13.23846.3.13.23914
22446.3.13.240/2846.3.13.241 to 46.3.13.25446.3.13.25514
22546.3.14.0/2846.3.14.1 to 46.3.14.1446.3.14.1514
22646.3.14.16/2846.3.14.17 to 46.3.14.3046.3.14.3114
22746.3.14.32/2846.3.14.33 to 46.3.14.4646.3.14.4714
22846.3.14.48/2846.3.14.49 to 46.3.14.6246.3.14.6314
22946.3.14.64/2846.3.14.65 to 46.3.14.7846.3.14.7914
23046.3.14.80/2846.3.14.81 to 46.3.14.9446.3.14.9514
23146.3.14.96/2846.3.14.97 to 46.3.14.11046.3.14.11114
23246.3.14.112/2846.3.14.113 to 46.3.14.12646.3.14.12714
23346.3.14.128/2846.3.14.129 to 46.3.14.14246.3.14.14314
23446.3.14.144/2846.3.14.145 to 46.3.14.15846.3.14.15914
23546.3.14.160/2846.3.14.161 to 46.3.14.17446.3.14.17514
23646.3.14.176/2846.3.14.177 to 46.3.14.19046.3.14.19114
23746.3.14.192/2846.3.14.193 to 46.3.14.20646.3.14.20714
23846.3.14.208/2846.3.14.209 to 46.3.14.22246.3.14.22314
23946.3.14.224/2846.3.14.225 to 46.3.14.23846.3.14.23914
24046.3.14.240/2846.3.14.241 to 46.3.14.25446.3.14.25514
24146.3.15.0/2846.3.15.1 to 46.3.15.1446.3.15.1514
24246.3.15.16/2846.3.15.17 to 46.3.15.3046.3.15.3114
24346.3.15.32/2846.3.15.33 to 46.3.15.4646.3.15.4714
24446.3.15.48/2846.3.15.49 to 46.3.15.6246.3.15.6314
24546.3.15.64/2846.3.15.65 to 46.3.15.7846.3.15.7914
24646.3.15.80/2846.3.15.81 to 46.3.15.9446.3.15.9514
24746.3.15.96/2846.3.15.97 to 46.3.15.11046.3.15.11114
24846.3.15.112/2846.3.15.113 to 46.3.15.12646.3.15.12714
24946.3.15.128/2846.3.15.129 to 46.3.15.14246.3.15.14314
25046.3.15.144/2846.3.15.145 to 46.3.15.15846.3.15.15914
25146.3.15.160/2846.3.15.161 to 46.3.15.17446.3.15.17514
25246.3.15.176/2846.3.15.177 to 46.3.15.19046.3.15.19114
25346.3.15.192/2846.3.15.193 to 46.3.15.20646.3.15.20714
25446.3.15.208/2846.3.15.209 to 46.3.15.22246.3.15.22314
25546.3.15.224/2846.3.15.225 to 46.3.15.23846.3.15.23914
25646.3.15.240/2846.3.15.241 to 46.3.15.25446.3.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses